graph [
    grid 20
    grid_displacement (14,-59)
    scale 1.0
    trace 
    standard_node 1
    print_area 33,31,575,350
    data0.NAME Sufficient Tokens
    data0.LATEX T
    data0.SYMBOL T
    data0.CONTROLLABLE 1
    data0.OBSERVABLE 0
    data0.MACHINE_CODE 8
    data0.DESCRIPTION A token was accepted bringing the current credit total to at least the cost of one pop.
    data1.NAME Pop @ Sufficient Tokens
    data1.LATEX P+
    data1.SYMBOL P+
    data1.CONTROLLABLE 0
    data1.OBSERVABLE 0
    data1.MACHINE_CODE 10
    data1.DESCRIPTION A pop was dispenced by the machine and the credit total was adjusted and is currently at least the cost of one pop.
    data2.NAME Refill Machine
    data2.LATEX R
    data2.SYMBOL R
    data2.CONTROLLABLE 1
    data2.OBSERVABLE 1
    data2.MACHINE_CODE 7
    data2.DESCRIPTION The pop machine was refilled by the technician.
    data3.NAME Lost Pop
    data3.LATEX L
    data3.SYMBOL L
    data3.CONTROLLABLE 0
    data3.OBSERVABLE 0
    data3.MACHINE_CODE 11
    data3.DESCRIPTION A pop was dispenced even though the credit total was less than the cost of one pop.
    data4.NAME Pop
    data4.LATEX P
    data4.SYMBOL P
    data4.CONTROLLABLE 0
    data4.OBSERVABLE 0
    data4.MACHINE_CODE 9
    data4.DESCRIPTION A pop was dispenced and the credit total was adjusted and is currently less than the cost of one pop.
    node [
        id 0
        x 94
        y 121
        r 42
        a 3
        dx 0.6222441
        dy 0.78282326
        l 
        c credits \textless\ 3\\&#13pops = 3
    ]
    node [
        id 1
        x 234
        y 121
        r 42
        a 0
        l 
        c credits \textless\ 3\\&#13pops = 2
    ]
    node [
        id 2
        x 94
        y 261
        r 42
        a 0
        l 
        c credits \textgreater= 3\\&#13pops = 3
    ]
    node [
        id 3
        x 234
        y 261
        r 42
        a 0
        l 
        c credits \textgreater= 3\\&#13pops = 2
    ]
    node [
        id 4
        x 374
        y 121
        r 42
        a 0
        l 
        c credits \textless\ 3\\&#13pops = 1
    ]
    node [
        id 5
        x 374
        y 261
        r 42
        a 0
        l 
        c credits \textgreater= 3\\&#13pops = 1
    ]
    node [
        id 6
        x 514
        y 121
        r 42
        a 0
        l 
        c credits \textless\ 3\\&#13pops = 0
    ]
    node [
        id 7
        x 514
        y 261
        r 42
        a 0
        l 
        c credits \textgreater= 3\\&#13pops = 0
    ]
    edge [
        source 2
        target 3
        x1 136.0
        y1 261.0
        ctrlx1 146.0
        ctrly1 261.0
        ctrlx2 165.0
        ctrly2 261.0
        x2 185.0
        y2 261.0
        dx -0.3162278
        dy -0.9486833
        tdi 1
        gtx -3
        gty -17
        a 0
    ]
    edge [
        source 3
        target 5
        x1 276.0
        y1 261.0
        ctrlx1 286.0
        ctrly1 261.0
        ctrlx2 305.0
        ctrly2 261.0
        x2 325.0
        y2 261.0
        dx -0.3939193
        dy -0.91914505
        tdi 1
        gtx -2
        gty -16
        a 0
    ]
    edge [
        source 5
        target 7
        x1 416.0
        y1 261.0
        ctrlx1 426.0
        ctrly1 261.0
        ctrlx2 445.0
        ctrly2 261.0
        x2 465.0
        y2 261.0
        dx NaN
        dy NaN
        tdi 1
        gtx -1
        gty -17
        a 0
    ]
    edge [
        source 0
        target 2
        x1 94.0
        y1 163.0
        ctrlx1 94.0
        ctrly1 173.0
        ctrlx2 94.0
        ctrly2 192.0
        x2 94.0
        y2 212.0
        dx -0.17888544
        dy 0.9838699
        tdi 0
        gtx 5
        gty -2
        a 0
    ]
    edge [
        source 1
        target 3
        x1 234.0
        y1 163.0
        ctrlx1 234.0
        ctrly1 173.0
        ctrlx2 234.0
        ctrly2 192.0
        x2 234.0
        y2 212.0
        dx -0.044400614
        dy -0.99901384
        tdi 0
        gtx 6
        gty -2
        a 0
    ]
    edge [
        source 4
        target 5
        x1 374.0
        y1 163.0
        ctrlx1 374.0
        ctrly1 173.0
        ctrlx2 374.0
        ctrly2 192.0
        x2 374.0
        y2 212.0
        dx -0.039968036
        dy -0.99920094
        tdi 0
        gtx 6
        gty -2
        a 0
    ]
    edge [
        source 6
        target 7
        x1 514.0
        y1 163.0
        ctrlx1 514.0
        ctrly1 173.0
        ctrlx2 514.0
        ctrly2 192.0
        x2 514.0
        y2 212.0
        dx 0.023249527
        dy -0.9997297
        tdi 0
        gtx 6
        gty -2
        a 0
    ]
    edge [
        source 2
        target 1
        x1 124.0
        y1 231.0
        ctrlx1 147.0
        ctrly1 208.0
        ctrlx2 183.0
        ctrly2 172.0
        x2 199.05023
        y2 155.94977
        dx 0.4472136
        dy 0.8944272
        tdi 4
        gtx 0
        gty 7
        a 0
    ]
    edge [
        source 3
        target 4
        x1 264.0
        y1 231.0
        ctrlx1 281.0
        ctrly1 214.0
        ctrlx2 318.0
        ctrly2 177.0
        x2 339.05026
        y2 155.94977
        dx 0.4472136
        dy 0.8944272
        tdi 4
        gtx 6
        gty 2
        a 0
    ]
    edge [
        source 5
        target 6
        x1 404.0
        y1 231.0
        ctrlx1 421.0
        ctrly1 214.0
        ctrlx2 458.0
        ctrly2 177.0
        x2 479.0503
        y2 155.94977
        dx 0.8320503
        dy 0.5547002
        tdi 4
        gtx 7
        gty 0
        a 0
    ]
    edge [
        source 1
        target 0
        x1 198.74826
        y1 98.167694
        ctrlx1 183.0
        ctrly1 84.0
        ctrlx2 153.0
        ctrly2 84.0
        x2 135.93599
        y2 95.29001
        dx 0.58817166
        dy -0.8087361
        tdi 2
        gtx -5
        gty 4
        a 0
    ]
    edge [
        source 4
        target 0
        x1 345.0
        y1 90.0
        ctrlx1 299.0
        ctrly1 58.0
        ctrlx2 181.0
        ctrly2 55.0
        x2 130.69614
        y2 88.931335
        dx 0.164399
        dy -0.9863939
        tdi 2
        gtx 11
        gty 5
        a 0
    ]
    edge [
        source 6
        target 0
        x1 494.0
        y1 84.0
        ctrlx1 384.0
        ctrly1 49.0
        ctrlx2 208.0
        ctrly2 21.0
        x2 126.69614
        y2 83.931335
        dx 0.09053575
        dy -0.99589324
        tdi 2
        gtx 13
        gty 5
        a 0
    ]
    edge [
        source 3
        target 2
        x1 199.0
        y1 285.0
        ctrlx1 187.0
        ctrly1 292.0
        ctrlx2 154.43283
        ctrly2 294.29974
        x2 137.69614
        y2 283.06866
        dx 0.3162278
        dy 0.9486833
        tdi 2
        gtx -6
        gty -12
        a 0
    ]
    edge [
        source 5
        target 2
        x1 349.0
        y1 294.0
        ctrlx1 278.0
        ctrly1 331.0
        ctrlx2 199.0
        ctrly2 330.0
        x2 133.93599
        y2 288.71
        dx -0.22485952
        dy 0.9743912
        tdi 2
        gtx 14
        gty -14
        a 0
    ]
    edge [
        source 7
        target 2
        x1 483.0
        y1 290.0
        ctrlx1 311.0
        ctrly1 354.0
        ctrlx2 214.0
        ctrly2 352.0
        x2 129.69614
        y2 295.06866
        dx -0.56921
        dy 0.8221922
        tdi 2
        gtx 41
        gty -16
        a 0
    ]
]
